View Key API

The View Key API retrieves a list of all keys associated with the authenticated admin’s organization. It returns details across all key roles, including admin and standard. Access to this endpoint requires a valid Api-Key.

Endpoint Details:

Input Parameters

Required Headers:

HeaderValue TypeRequiredDescription
Api-keystringYesAdmin API key
Content-TypestringYesMust be application/json

Request Body Parameters:

No request body parameters are required if you need to view the details for all available keys. In this case, an empty JSON object {} can be passed as the request body. To view the details for a specific key, you must include the email address associated with that key in the request body.

Sample

Request

curl --location ‘https://signals.smarte.pro/signals/v1/key/view' \
--header 'Content-Type: application/json' \
--header 'Api-Key: WG+xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxOwZcyVwvAibM=' \
--data '{}’

Success Response

{
    "message": "Key details fetched successfully",
    "data": {
        "keyId": "222c424f-6e56-4ab1-94eb-8a0e41490831",
        "email": "[email protected]",
        "role": "standard",
        "status": "active",
        "apiKey": "Id9hxxxxxxxxxxxxxxxxxxxxxxxxx9u/CeGp1mxXoTA3vs="
    }
{
            "keyId": "6d7800ad-81b0-4b60-9a0f-821a1944346b",
            "email": "[email protected]",
            "role": "standard",
            "status": "active",
            "apiKey": “mIGxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxJHY”
        }
}

Request to fetch a specific key

curl --location 'https://signals-qa.smarte.pro/signals/v1/key/view' \
--header 'Content-Type: application/json' \
--header 'Api-Key: WG+xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxOwZcyVwvAibM=' \
--data-raw '{
    "email": "[email protected]"
}

Response for a specific key

{
    "message": "Key details fetched successfully",
    "data": {
        "keyId": "222c424f-6e56-4ab1-94eb-8a0e41490831",
        "email": "[email protected]",
        "role": "standard",
        "status": "active",
        "apiKey": "Id9hxxxxxxxxxxxxxxxxxxxxxxxxx9u/CeGp1mxXoTA3vs="
    }
}

What’s Next